| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Private Member Functions | Static Private Member Functions | List of all members
IG.Forms.ReportMsg_Examples Class Reference

## Private Member Functions
void | Sandbox ()

## Static Private Member Functions
static void | Main (string[] args)
static void | ExBas5minTutorial ()
| Introductory examples from 5 minutes tutorial. More...
static void | ExTextLogger ()
| Introductory examples from 5 minutes tutorial. More...
static void | ExTextWriter ()
| Introductory examples from 5 minutes tutorial. More...
static void | ExAppSettings ()
| Examples of hoe application settings are read from App.config (see this file !). More...

## Member Function Documentation

static void IG.Forms.ReportMsg_Examples.Main | ( | string[] | args | ) |
| inline static private

static void IG.Forms.ReportMsg_Examples.ExBas5minTutorial | ( |  | ) |
| inline static private

Introductory examples from 5 minutes tutorial.

References IG.Forms.ReporterConsoleMsgbox_Base.Report(), IG.Lib.ReporterBase.ReportError(), IG.Lib.ReporterBase.ReportInfo(), IG.Lib.ReporterBase.ReportingLevel, IG.Lib.ReporterBase.ReportWarning(), and IG.Lib.ReporterConsole_Base.UseConsole.

static void IG.Forms.ReportMsg_Examples.ExTextLogger | ( |  | ) |
| inline static private

Introductory examples from 5 minutes tutorial.

References IG.Lib.ReporterBase.AddTextLogger(), IG.Lib.ReporterBase.DecreaseDepth(), IG.Lib.ReporterBase.IncreaseDepth(), IG.Lib.ReporterBase.LoggingLevel, IG.Lib.ReporterBase.RemoveTextLogger(), IG.Lib.ReporterBase.RemoveTextLoggers(), IG.Forms.ReporterConsoleMsgbox_Base.Report(), IG.Lib.ReporterBase.ReportInfo(), IG.Lib.ReporterBase.ReportingLevel, IG.Lib.ReporterBase.ReportWarning(), IG.Lib.ReporterBase.SetTextLogger(), IG.Lib.ReporterBase.TextLoggerFlush(), IG.Lib.ReporterBase.TextLoggerFlushing, IG.Lib.ReporterBase.TextLoggerIndentCharacter, IG.Lib.ReporterBase.TextLoggerIndentInitial, IG.Lib.ReporterBase.TextLoggerIndentSpacing, IG.Lib.ReporterBase.ThrowTestException, IG.Lib.ReporterConsole_Base.UseConsole, IG.Forms.ReporterConsoleMsgbox_Base.UseMessageBox, IG.Lib.ReporterBase.UseTextLogger, IG.Lib.ReporterBase.UseTextWriter, and IG.Lib.ReporterBase.UseTrace.

static void IG.Forms.ReportMsg_Examples.ExTextWriter | ( |  | ) |
| inline static private

Introductory examples from 5 minutes tutorial.

References IG.Lib.ReporterBase.AddTextWriter(), IG.Lib.ReporterBase.LoggingLevel, IG.Lib.ReporterBase.RemoveTextWriter(), IG.Forms.ReporterConsoleMsgbox_Base.Report(), IG.Lib.ReporterBase.ReportInfo(), IG.Lib.ReporterBase.ReportingLevel, IG.Lib.ReporterBase.ReportWarning(), IG.Lib.ReporterBase.SetTextWriter(), IG.Lib.ReporterBase.TextWriterFlush(), IG.Lib.ReporterBase.TextWriterFlushing, IG.Lib.ReporterConsole_Base.UseConsole, IG.Forms.ReporterConsoleMsgbox_Base.UseMessageBox, IG.Lib.ReporterBase.UseTextLogger, IG.Lib.ReporterBase.UseTextWriter, and IG.Lib.ReporterBase.UseTrace.

static void IG.Forms.ReportMsg_Examples.ExAppSettings | ( |  | ) |
| inline static private

Examples of hoe application settings are read from App.config (see this file !).

References IG.Forms.ReporterConsoleMsgbox.Global, IG.Lib.ReporterBase.ReadAppSettings(), IG.Forms.ReporterConsoleMsgbox_Base.Report(), and IG.Lib.ReporterBase.ReportError().

void IG.Forms.ReportMsg_Examples.Sandbox | ( |  | ) |
| inline private

The documentation for this class was generated from the following file:

- reportermsg/Additional/ReportMsg_Examples/ReportMsg_Examples.cs